<?php
/**
 * Created by PhpStorm.
 * User: durong
 * Date: 2019/7/25
 * Time: 下午2:00
 */
namespace App\Http\Controllers\V2;

use App\Http\Controllers\BaseController;
use App\Repositories\ComplaintSuggestionsRepository;
use App\Transformers\ComplaintSuggestionsTransformer;
use League\Fractal\Pagination\IlluminatePaginatorAdapter;
use League\Fractal\Resource\Collection;
use League\Fractal\Manager;
use Illuminate\Http\Request;

class ComplaintSuggestionsController extends BaseController
{
    public function __construct(ComplaintSuggestionsRepository $complaintSuggestionsRepository)
    {
        $this->complaintSuggestionsRepository = $complaintSuggestionsRepository;
    }
    //投诉建议列表
    public function index(Request $request)
    {
        $complaintSuggestions = $this->complaintSuggestionsRepository->index($request->all());

        $fractal = new Manager();
        $resource = new Collection($complaintSuggestions, new ComplaintSuggestionsTransformer());
        $resource->setPaginator(new IlluminatePaginatorAdapter($complaintSuggestions));
        $data = $fractal->createData($resource)->toArray();
        $data['extra'] = [
            'columns' => [
                'id',
                'mobile',
                'upload_user',
                'uid',
                'content',
                'created_at'
            ]
        ];
        return $data;
    }
}